import { defineContentConfig, defineCollection, z } from '@nuxt/content'

export default defineContentConfig({
  collections: {
    blog: defineCollection({
      type: 'page',
      source: 'blog/*.md',
      schema: z.object({
        date: z.string(),
        image: z.string(),
        thumbnail: z.string(),
        category: z.string(),
        tags: z.array(z.string()),
        author: z.object({
          name: z.string(),
          image: z.string(),
        }),
        excerpt: z.object({
          type: z.string(),
          children: z.any(),
        }),
      }),
    }),

    skills: defineCollection({
      type: 'page',
      source: 'snippets/skills/*.md',
    }),

    faq: defineCollection({
      type: 'page',
      source: 'snippets/faq/*.md',
      schema: z.object({
        rawbody: z.string(),
      }),
    }),
  },
})